felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guillaume Nodet <gno...@gmail.com>
Subject Re: Java 7 compiler issue
Date Fri, 27 Apr 2012 11:33:29 GMT
Does the OSGi Alliance plan to release a version that can work with jdk 7 ?
Or could we build one, as we used to provide the core specs before the
alliance put them in maven central ?

On Mon, Feb 13, 2012 at 15:27, Richard S. Hall <heavy@ungoverned.org> wrote:

> On 2/13/12 01:15 , Christopher BROWN wrote:
>
>> Hi,
>>
>> Thanks Richard, I'll try that then. I'm guessing I should do that for all
>> bundles (such as Felix EventAdmin, which I use) to be on the safe side (as
>> from what I understand of the bug, it only shows up where this leads to
>> the
>> JVM getting confused between multiple possible method invocation targets
>> due to stricter behavior ?
>>
>
> I think only the framework is currently compiled to target jsr14...you
> only need to recompile stuff that targets jsr14.
>
> -> richard
>
>
>
>> Thanks,
>> Christopher
>>
>>
>>
>> On Monday, 13 February 2012, Richard S. Hall<heavy@ungoverned.org>
>>  wrote:
>>
>>> On 2/12/12 15:57 , Christopher BROWN wrote:
>>>
>>>> Hello,
>>>>
>>>> I followed the different threads on this subject, such as:
>>>> https://mail.osgi.org/**pipermail/osgi-dev/2011-**August/003224.html<https://mail.osgi.org/pipermail/osgi-dev/2011-August/003224.html>
>>>> http://www.mail-archive.com/**users@felix.apache.org/**msg11574.html<http://www.mail-archive.com/users@felix.apache.org/msg11574.html>
>>>>
>>>> My understanding is that if I target the latest OSGi version and
>>>> multiple
>>>> JDK versions, and if I want some (optional) bundles to use JDK7
>>>> features,
>>>> then for the JDK7 deployments, I'm also going to have to recompile the
>>>>
>>> OSGi
>>
>>> framework instead of using the binaries for download from Apache (that
>>>> might be a bit messy if it involves extracting source and rebuilding
>>>>
>>> JARs)
>>
>>> and all bundles that will run on that recompiled framework without the
>>>> -jsr14 flag (because mixing and matching won't work)?
>>>>
>>>> Moreover, trying to understand fully the problem, the problem isn't JDK7
>>>> specifically, it's the jsr14 flag... If I recompiled Felix *without*
>>>> this
>>>> flag, even on JDK5 or JDK6, I *could* mix and match generic-signature
>>>> methods compiled with pre-JDK7 JDKs (but not JDK1.4 or earlier
>>>>
>>> obviously),
>>
>>> is that right?
>>>>
>>>> If my understanding is correct, then could I as of now compile Felix
>>>> with
>>>> JDK6 and be sure that the issue with -jsr14 won't occur, and then add
>>>> one
>>>> or two JDK7 bundles later if required, without any further
>>>> recompilation?
>>>>
>>> If you compile without the jsr14 flag, I believe everything will work
>>>
>> ok...jsr14 is only necessary if you are trying to target older JVMs.
>>
>>> Is there any documentation on building Felix 4.x in this way?
>>>>
>>> Just modify the target parameter in the framework pom.xml from jsr14 to
>>>
>> whichever Java platform you want...
>>
>>> ->  richard
>>>
>>>  Thanks,
>>>> Christopher
>>>>
>>>>  ------------------------------**------------------------------**
>>> ---------
>>> To unsubscribe, e-mail: users-unsubscribe@felix.**apache.org<users-unsubscribe@felix.apache.org>
>>> For additional commands, e-mail: users-help@felix.apache.org
>>>
>>>
>>>
> ------------------------------**------------------------------**---------
> To unsubscribe, e-mail: users-unsubscribe@felix.**apache.org<users-unsubscribe@felix.apache.org>
> For additional commands, e-mail: users-help@felix.apache.org
>
>


-- 
------------------------
Guillaume Nodet
------------------------
Blog: http://gnodet.blogspot.com/
------------------------
FuseSource, Integration everywhere
http://fusesource.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message